package com.cultural.heritage.model.dto.order.capital;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "订单明细主要信息请求体", requiredProperties = {"goodId", "quantity"})
public class OrderItemMainInfoAddRequest implements Serializable {


    /**
     * 商品id
     */
    @Schema(description = "商品id(id > 0)", example = "8")
    private Long goodId;


    /**
     * 购买
     */
    @Schema(description = "购买数量", example = "10")
    private Integer quantity;


    /**
     * 预约日期
     */
    @Schema(description = "预约日期", example = "2024-11-09")
    private String reservationDate;


    /**
     * 预约的具体时间段
     */
    @Schema(description = "预约的具体时间段", example = "8:00-12:00")
    private String timeSlot;


    @Serial
    private static final long serialVersionUID = 1L;
}
