package com.cultural.heritage.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 预约人数范围表
 * @TableName   appointment_number
 */
@Data
@TableName("appointment_number")
public class AppointmentNumber implements Serializable {

    /**
     * 预约人数范围id
     */
    @TableId(type = IdType.AUTO)
    private Long id;


    /**
     * 最小预约人数
     */
    private Integer minNumber;


    /**
     * 最大预约人数
     */
    private Integer maxNumber;


    /**
     * 商品id
     */
    private Long goodId;


    @Serial
    private static final long serialVersionUID = 1L;
}
