package com.cultural.heritage.service.address.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cultural.heritage.common.ErrorCode;
import com.cultural.heritage.exception.ThrowUtils;
import com.cultural.heritage.mapper.AddressMapper;
import com.cultural.heritage.model.entity.Address;
import com.cultural.heritage.service.address.AddressService;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class AddressServiceImpl extends ServiceImpl<AddressMapper, Address> implements AddressService {

    @Override
    public void verifyIsDefault(Address address) {
        Integer isDefault = address.getIsDefault();
        Long userId = address.getUserId();
        List<Address> list = this.getUserAddressById(userId);
        if (list.size() == 0) {
            return ;
        }
        if (isDefault == 1) {
            list.forEach(item -> item.setIsDefault(0));
        }
        boolean result = this.updateBatchById(list);
        ThrowUtils.throwIf(!result, ErrorCode.OPERATION_ERROR);
    }

    @Override
    public List<Address> getUserAddressById(Long userId) {
        QueryWrapper<Address> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("userId", userId);
        List<Address> list = this.list(queryWrapper);
        return list;
    }

}
